View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18031Bug reportsTheme editorpublic2022-05-23 11:30
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.x 
Summary18031: Unable to disable broken questionTheme
Description

When a question theme was deleted or removed there are no way to disable it …

Steps To Reproduce

Steps to reproduce

Import or put with FTP https://github.com/tpartner/LimeSurvey-Card-Sorting-5.x
Import the demo surey
Test
Delete cardSort directory
Try to disable cardSortTheme : get a "can not disable, usage in survey"
Try to update question : receive a 500 error

Expected result

  1. An autofixer when go to questionTheme list (auto disable and uninstall)
  2. An autofixer when try to update question : show an error, set question to default ?
  3. An autofixer when launch survey (public part)

Actual result

500 error on 2 and 3, no way on 1.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.3.8
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-04-12 18:08

developer  

Error.html (27,640 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Error</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>Error</h1>

	<p class="message">
		Call to a member function getNodeAsArray() on null	</p>

	<div class="source">
		<p class="file">/data/webdev/master/application/models/services/ThemeQuestionAttributeProvider.php(46)</p>
		<div class="code"><pre><span class="ln">34</span>      * @param string $questionType   the extended typ (see table question_themes "extends")
<span class="ln">35</span>      * @return array&lt;string,array&gt; additional attributes for an extended theme or empty array
<span class="ln">36</span>      */
<span class="ln">37</span>     protected function getAttributesFromQuestionTheme($questionThemeName, $questionType)
<span class="ln">38</span>     {
<span class="ln">39</span>         /** @var array&lt;string,array&gt; An array of question attributes */
<span class="ln">40</span>         $attributes = array();
<span class="ln">41</span> 
<span class="ln">42</span>         $questionTheme = \QuestionTheme::model()-&gt;findByAttributes([], 'name = :name AND extends = :extends', ['name' =&gt; $questionThemeName, 'extends' =&gt; $questionType]);
<span class="ln">43</span>         if ($questionTheme !== null) {
<span class="ln">44</span>             $xmlFilePath = $questionTheme['xml_path'] . '/config.xml';
<span class="ln">45</span>             $extensionConfig = \ExtensionConfig::loadFromFile($xmlFilePath);
<span class="error"><span class="ln error-ln">46</span>             $xmlAttributes = $extensionConfig-&gt;getNodeAsArray('attributes');
</span><span class="ln">47</span>         }
<span class="ln">48</span> 
<span class="ln">49</span>         if (!empty($xmlAttributes)) {
<span class="ln">50</span>             if (!empty($xmlAttributes['attribute']['name'])) {
<span class="ln">51</span>                 // Only one attribute set in config: need an array of attributes
<span class="ln">52</span>                 $xmlAttributes['attribute'] = array($xmlAttributes['attribute']);
<span class="ln">53</span>             }
<span class="ln">54</span>             // Create array of attribute with name as key
<span class="ln">55</span>             foreach ($xmlAttributes['attribute'] as $attribute) {
<span class="ln">56</span>                 if (!empty($attribute['name'])) {
<span class="ln">57</span>                     $attributes[$attribute['name']] = array_merge(self::getBaseDefinition(), $attribute);
<span class="ln">58</span>                 }
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/models/services/ThemeQuestionAttributeProvider.php(26): <strong>LimeSurvey\Models\Services\ThemeQuestionAttributeProvider</strong>-&gt;<strong>getAttributesFromQuestionTheme</strong>()				</div>

				<div class="code"><pre><span class="ln">21</span>         $questionType = self::getQuestionType($options);
<span class="ln">22</span>         if (empty($questionType)) {
<span class="ln">23</span>             return [];
<span class="ln">24</span>         }
<span class="ln">25</span> 
<span class="error"><span class="ln error-ln">26</span>         return $this-&gt;getAttributesFromQuestionTheme($questionTheme, $questionType);
</span><span class="ln">27</span>     }
<span class="ln">28</span> 
<span class="ln">29</span>     /**
<span class="ln">30</span>      * Gets the additional attributes for an extended theme from xml file.
<span class="ln">31</span>      * If there are no attributes, an empty array is returned
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/models/services/QuestionAttributeFetcher.php(52): <strong>LimeSurvey\Models\Services\ThemeQuestionAttributeProvider</strong>-&gt;<strong>getDefinitions</strong>()				</div>

				<div class="code"><pre><span class="ln">47</span>         $allAttributes = [];
<span class="ln">48</span> 
<span class="ln">49</span>         // We retrieve the attributes from each provider, sanitize them, and merge them.
<span class="ln">50</span>         foreach ($this-&gt;providers as $provider) {
<span class="ln">51</span>             $options = array_merge($this-&gt;options, ['question' =&gt; $this-&gt;question]);
<span class="error"><span class="ln error-ln">52</span>             $attributes = $provider-&gt;getDefinitions($options);
</span><span class="ln">53</span>             $sanitizedAttributes = $questionAttributeHelper-&gt;sanitizeQuestionAttributes($attributes);
<span class="ln">54</span>             $allAttributes = $questionAttributeHelper-&gt;mergeQuestionAttributes($allAttributes, $sanitizedAttributes);
<span class="ln">55</span>         }
<span class="ln">56</span> 
<span class="ln">57</span>         // Sort by category
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/models/services/QuestionAttributeHelper.php(216): <strong>LimeSurvey\Models\Services\QuestionAttributeFetcher</strong>-&gt;<strong>fetch</strong>()				</div>

				<div class="code"><pre><span class="ln">211</span>         $questionAttributeFetcher-&gt;setAdvancedOnly($advancedOnly);
<span class="ln">212</span>         if (!empty($questionThemeOverride)) {
<span class="ln">213</span>             $questionAttributeFetcher-&gt;setTheme($questionThemeOverride);
<span class="ln">214</span>         }
<span class="ln">215</span> 
<span class="error"><span class="ln error-ln">216</span>         $questionAttributeDefinitions = $questionAttributeFetcher-&gt;fetch();
</span><span class="ln">217</span>         $questionAttributesWithValues = $questionAttributeFetcher-&gt;populateValues($questionAttributeDefinitions, $language);
<span class="ln">218</span> 
<span class="ln">219</span>         return $questionAttributesWithValues;
<span class="ln">220</span>     }
<span class="ln">221</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/models/Question.php(299): <strong>LimeSurvey\Models\Services\QuestionAttributeHelper</strong>-&gt;<strong>getQuestionAttributesWithValues</strong>()				</div>

				<div class="code"><pre><span class="ln">294</span>      * @return array
<span class="ln">295</span>      */
<span class="ln">296</span>     public function getAdvancedSettingsWithValues($sLanguage = null, $sQuestionThemeOverride = null)
<span class="ln">297</span>     {
<span class="ln">298</span>         $questionAttributeHelper = new LimeSurvey\Models\Services\QuestionAttributeHelper();
<span class="error"><span class="ln error-ln">299</span>         $aAttributes = $questionAttributeHelper-&gt;getQuestionAttributesWithValues($this, $sLanguage, $sQuestionThemeOverride, true);
</span><span class="ln">300</span>         return $aAttributes;
<span class="ln">301</span>     }
<span class="ln">302</span> 
<span class="ln">303</span>     /**
<span class="ln">304</span>      * Add custom attributes (if there are any custom attributes). It also removes all attributeNames where inputType is
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/QuestionAdministrationController.php(2382): <strong>Question</strong>-&gt;<strong>getAdvancedSettingsWithValues</strong>()				</div>

				<div class="code"><pre><span class="ln">2377</span>     {
<span class="ln">2378</span>         //here we get a Question object (also if question is new --&gt; QuestionCreate)
<span class="ln">2379</span>         $oQuestion = $this-&gt;getQuestionObject($iQuestionId, $sQuestionType, null, $sQuestionTheme);
<span class="ln">2380</span> 
<span class="ln">2381</span>         // Get the advanced settings array
<span class="error"><span class="ln error-ln">2382</span>         $advancedSettings = $oQuestion-&gt;getAdvancedSettingsWithValues();
</span><span class="ln">2383</span> 
<span class="ln">2384</span>         // Group the array in categories
<span class="ln">2385</span>         $questionAttributeHelper = new LimeSurvey\Models\Services\QuestionAttributeHelper();
<span class="ln">2386</span>         $advancedSettings = $questionAttributeHelper-&gt;groupAttributesByCategory($advancedSettings);
<span class="ln">2387</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/QuestionAdministrationController.php(190): <strong>QuestionAdministrationController</strong>-&gt;<strong>getAdvancedOptions</strong>()				</div>

				<div class="code"><pre><span class="ln">185</span>         $this-&gt;aData['sidemenu']['landOnSideMenuTab'] = 'structure';
<span class="ln">186</span>         $this-&gt;aData['title_bar']['title'] =
<span class="ln">187</span>             $question-&gt;survey-&gt;currentLanguageSettings-&gt;surveyls_title
<span class="ln">188</span>             . " (" . gT("ID") . ":" . $question-&gt;sid . ")";
<span class="ln">189</span>         $this-&gt;aData['aQuestionTypeList'] = QuestionTheme::findAllQuestionMetaDataForSelector();
<span class="error"><span class="ln error-ln">190</span>         $advancedSettings = $this-&gt;getAdvancedOptions($question-&gt;qid, $question-&gt;type, $question-&gt;question_theme_name);
</span><span class="ln">191</span>         // Remove general settings from this array.
<span class="ln">192</span>         unset($advancedSettings['Attribute']);
<span class="ln">193</span> 
<span class="ln">194</span>         // Add &lt;input&gt; with JSON as value, used by JavaScript.
<span class="ln">195</span>         $jsVariablesHtml = $this-&gt;renderPartial(
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/QuestionAdministrationController.php(150): <strong>QuestionAdministrationController</strong>-&gt;<strong>renderFormAux</strong>()				</div>

				<div class="code"><pre><span class="ln">145</span>                 'qid' =&gt; $question-&gt;qid,
<span class="ln">146</span>                 'landOnSideMenuTab' =&gt; 'structure'
<span class="ln">147</span>             ]
<span class="ln">148</span>         );
<span class="ln">149</span>         $this-&gt;aData['tabOverviewEditor'] = $tabOverviewEditor;
<span class="error"><span class="ln error-ln">150</span>         $this-&gt;renderFormAux($question);
</span><span class="ln">151</span>     }
<span class="ln">152</span> 
<span class="ln">153</span>     /**
<span class="ln">154</span>      * Helper function to render form.
<span class="ln">155</span>      * Used by create and edit actions.
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/QuestionAdministrationController.php(70): <strong>QuestionAdministrationController</strong>-&gt;<strong>actionEdit</strong>()				</div>

				<div class="code"><pre><span class="ln">65</span>      *
<span class="ln">66</span>      * @throws CException
<span class="ln">67</span>      */
<span class="ln">68</span>     public function actionView($surveyid, $gid = null, $qid = null, $landOnSideMenuTab = 'structure')
<span class="ln">69</span>     {
<span class="error"><span class="ln error-ln">70</span>         $this-&gt;actionEdit($qid);
</span><span class="ln">71</span>     }
<span class="ln">72</span> 
<span class="ln">73</span>     /**
<span class="ln">74</span>      * Show form to create new question.
<span class="ln">75</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>QuestionAdministrationController</strong>-&gt;<strong>actionView</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/actions/CAction.php(115): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>()				</div>

				<div class="code"><pre><span class="ln">110</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">111</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">112</span>             else
<span class="ln">113</span>                 return false;
<span class="ln">114</span>         }
<span class="error"><span class="ln error-ln">115</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">116</span>         return true;
<span class="ln">117</span>     }
<span class="ln">118</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/actions/CInlineAction.php(47): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>()				</div>

				<div class="code"><pre><span class="ln">42</span>     {
<span class="ln">43</span>         $methodName='action'.$this-&gt;getId();
<span class="ln">44</span>         $controller=$this-&gt;getController();
<span class="ln">45</span>         $method=new ReflectionMethod($controller, $methodName);
<span class="ln">46</span>         if($method-&gt;getNumberOfParameters()&gt;0)
<span class="error"><span class="ln error-ln">47</span>             return $this-&gt;runWithParamsInternal($controller, $method, $params);
</span><span class="ln">48</span> 
<span class="ln">49</span>         $controller-&gt;$methodName();
<span class="ln">50</span>         return true;
<span class="ln">51</span>     }
<span class="ln">52</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(308): <strong>CInlineAction</strong>-&gt;<strong>runWithParams</strong>()				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>()				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>()				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/LSBaseController.php(160): <strong>CController</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">155</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">156</span>                 }
<span class="ln">157</span>             }
<span class="ln">158</span>         }
<span class="ln">159</span> 
<span class="error"><span class="ln error-ln">160</span>         parent::run($action);
</span><span class="ln">161</span>     }
<span class="ln">162</span> 
<span class="ln">163</span>     /**
<span class="ln">164</span>      * Load and set session vars
<span class="ln">165</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CWebApplication.php(282): <strong>LSBaseController</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>()				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/index.php(192): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">187</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">188</span> 
<span class="ln">189</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">190</span> 
<span class="ln">191</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">192</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">193</span> 
<span class="ln">194</span> /* End of file index.php */
<span class="ln">195</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2022-04-12 18:03:43 nginx/1.18.0 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.24-dev	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="Error_fichiers/api.js"></script></html>
Error.html (27,640 bytes)   
DenisChenu

DenisChenu

2022-04-30 11:18

developer   ~69319

@ollehar : what do you think about disable/uninstall system

  1. Autofixer when do survey : clearly set to core theme. Not an issue .
  2. Autofixer when editing question : Show it broken somewhere ? What happen whe save ?
  3. When view question theme !: show a error in description + add an uninstall, this uninstall set whole other to core theme.

Else : we need a QuestionTheme manager : show the number of question used and the link to this questions for admin manager. And allow to delete it even if it's used …

ollehar

ollehar

2022-04-30 21:04

administrator   ~69322

Email during weekend --> doomed to be forgotten. Write to me on Monday instead.

DenisChenu

DenisChenu

2022-05-03 18:31

developer   ~69379

Someone update something since report ?
I have a alert i don't have before in Theme management …

DenisChenu

DenisChenu

2022-05-03 19:11

developer   ~69380

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33462

LimeBot

LimeBot

2022-05-09 12:37

administrator   ~69512

Fixed in Release 5.3.13+220509

DenisChenu

DenisChenu

2022-05-18 10:59

developer   ~69767

Reopen (debug > 1)

DenisChenu

DenisChenu

2022-05-18 11:00

developer   ~69768

PHP warning.html (21,056 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP warning</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP warning</h1>

	<p class="message">
		
file_get_contents(upload/themes/question/Net-Promoter-Score/Net-Promoter-Score/survey/questions/answer/listradio/config.xml):
 failed to open stream: No such file or directory	</p>

	<div class="source">
		<p class="file">/data/webdev/master/application/models/QuestionTheme.php(661)</p>
		<div class="code"><pre><span class="ln">649</span>         $criteria-&gt;params = [':visible' =&gt; 'Y'];
<span class="ln">650</span> 
<span class="ln">651</span>         /** @var QuestionTheme[] */
<span class="ln">652</span>         $baseQuestions = self::model()-&gt;query($criteria, true);
<span class="ln">653</span> 
<span class="ln">654</span>         if (\PHP_VERSION_ID &lt; 80000) {
<span class="ln">655</span>             $bOldEntityLoaderState = libxml_disable_entity_loader(true);
<span class="ln">656</span>         }
<span class="ln">657</span> 
<span class="ln">658</span>         $baseQuestionsModified = [];
<span class="ln">659</span>         foreach ($baseQuestions as $baseQuestion) {
<span class="ln">660</span>             //TODO: should be moved into DB column (question_theme_settings table)
<span class="error"><span class="ln error-ln">661</span>             $sQuestionConfigFile = file_get_contents($baseQuestion-&gt;xml_path . DIRECTORY_SEPARATOR . 'config.xml');  // @see: Now that entity loader is disabled, we can't use simplexml_load_file; so we must read the file with file_get_contents and convert it as a string
</span><span class="ln">662</span>             $oQuestionConfig = simplexml_load_string($sQuestionConfigFile);
<span class="ln">663</span>             $questionEngineData = json_decode(json_encode($oQuestionConfig-&gt;engine), true);
<span class="ln">664</span>             $showAsQuestionType = $questionEngineData['show_as_question_type'];
<span class="ln">665</span> 
<span class="ln">666</span>             // if an extended Question should not be shown as a selectable questiontype skip it
<span class="ln">667</span>             if (!empty($baseQuestion['extends']) &amp;&amp; !$showAsQuestionType) {
<span class="ln">668</span>                 continue;
<span class="ln">669</span>             }
<span class="ln">670</span> 
<span class="ln">671</span>             // language settings
<span class="ln">672</span>             $baseQuestion['title'] = gT($baseQuestion['title'], "html");
<span class="ln">673</span>             $baseQuestion['group'] = gT($baseQuestion['group'], "html");
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/models/QuestionTheme.php(661): <strong>file_get_contents</strong>("upload/themes/question/Net-Promoter-Score/Net-Promoter-Score/sur...")				</div>

				<div class="code"><pre><span class="ln">656</span>         }
<span class="ln">657</span> 
<span class="ln">658</span>         $baseQuestionsModified = [];
<span class="ln">659</span>         foreach ($baseQuestions as $baseQuestion) {
<span class="ln">660</span>             //TODO: should be moved into DB column (question_theme_settings table)
<span class="error"><span class="ln error-ln">661</span>             $sQuestionConfigFile = file_get_contents($baseQuestion-&gt;xml_path . DIRECTORY_SEPARATOR . 'config.xml');  // @see: Now that entity loader is disabled, we can't use simplexml_load_file; so we must read the file with file_get_contents and convert it as a string
</span><span class="ln">662</span>             $oQuestionConfig = simplexml_load_string($sQuestionConfigFile);
<span class="ln">663</span>             $questionEngineData = json_decode(json_encode($oQuestionConfig-&gt;engine), true);
<span class="ln">664</span>             $showAsQuestionType = $questionEngineData['show_as_question_type'];
<span class="ln">665</span> 
<span class="ln">666</span>             // if an extended Question should not be shown as a selectable questiontype skip it
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/admin/UserAction.php(778): <strong>QuestionTheme</strong>::<strong>findAllQuestionMetaDataForSelector</strong>()				</div>

				<div class="code"><pre><span class="ln">773</span>         $currentPreselectedQuestionTheme = array_key_exists('preselectquestiontheme', $aUserSettings) ? $aUserSettings['preselectquestiontheme'] : App()-&gt;getConfig('preselectquestiontheme');
<span class="ln">774</span> 
<span class="ln">775</span>         $aData['currentPreselectedQuestiontype'] = $currentPreselectedQuestiontype;
<span class="ln">776</span>         $aData['currentPreselectedQuestionTheme'] = $currentPreselectedQuestionTheme;
<span class="ln">777</span>         $aData['aUserSettings'] = $aUserSettings;
<span class="error"><span class="ln error-ln">778</span>         $aData['aQuestionTypeList'] = QuestionTheme::findAllQuestionMetaDataForSelector();
</span><span class="ln">779</span>         $aData['selectedQuestion'] = QuestionTheme::findQuestionMetaData($currentPreselectedQuestiontype, $currentPreselectedQuestionTheme);
<span class="ln">780</span> 
<span class="ln">781</span>         $aData['surveymenu_data']['model'] = $oSurveymenu;
<span class="ln">782</span>         $aData['surveymenuentry_data']['model'] = $oSurveymenuEntries;
<span class="ln">783</span>         // Render personal settings view
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>UserAction</strong>-&gt;<strong>personalsettings</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/actions/CAction.php(115): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(UserAction, array())				</div>

				<div class="code"><pre><span class="ln">110</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">111</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">112</span>             else
<span class="ln">113</span>                 return false;
<span class="ln">114</span>         }
<span class="error"><span class="ln error-ln">115</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">116</span>         return true;
<span class="ln">117</span>     }
<span class="ln">118</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/core/SurveyCommonAction.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(UserAction, ReflectionMethod, array("r" =&gt; "admin/user/sa/personalsettings", "sa" =&gt; "personalsettings"))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(308): <strong>SurveyCommonAction</strong>-&gt;<strong>runWithParams</strong>(array("r" =&gt; "admin/user/sa/personalsettings", "sa" =&gt; "personalsettings"))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(UserAction)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(UserAction, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/AdminController.php(202): <strong>CController</strong>-&gt;<strong>run</strong>("user")				</div>

				<div class="code"><pre><span class="ln">197</span>         }
<span class="ln">198</span> 
<span class="ln">199</span>         $this-&gt;runModuleController($action);
<span class="ln">200</span> 
<span class="ln">201</span> 
<span class="error"><span class="ln error-ln">202</span>         return parent::run($action);
</span><span class="ln">203</span>     }
<span class="ln">204</span> 
<span class="ln">205</span>     /**
<span class="ln">206</span>      * Starting with LS4, 3rd party developper can extends any of the LimeSurve controllers.
<span class="ln">207</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("user")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/user/sa/personalsettings")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/index.php(192): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">187</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">188</span> 
<span class="ln">189</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">190</span> 
<span class="ln">191</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">192</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">193</span> 
<span class="ln">194</span> /* End of file index.php */
<span class="ln">195</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2022-05-18 07:52:59 nginx/1.18.0 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.24-dev	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="PHP%20warning_fichiers/api.js"></script></html>
PHP warning.html (21,056 bytes)   
ollehar

ollehar

2022-05-18 11:02

administrator   ~69769

Any debug = 0 error too?

DenisChenu

DenisChenu

2022-05-18 11:03

developer   ~69770

It's a PHP Warning here ,
Maybe with usage of dropdown slect for question type ? Unsure.

Else : listing is OK … no error shown …

DenisChenu

DenisChenu

2022-05-18 11:08

developer   ~69771

Else : deleted theme still shown as valid in QuestionTheme manager …
and can not be deleted if «used» in survey.

There are a potential issue here about try to update a question with deleted QuestionTheme : maybe it was resetted to T when editing …
And must see what happen if survey is activate.

DenisChenu

DenisChenu

2022-05-18 11:08

developer   ~69772

https://github.com/LimeSurvey/LimeSurvey/pull/2425

DenisChenu

DenisChenu

2022-05-19 21:16

developer   ~69886

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33511

LimeBot

LimeBot

2022-05-23 11:30

administrator   ~69971

Fixed in Release 5.3.16+220523

Related Changesets

LimeSurvey: master 8d8420a4

2022-05-03 19:11:51

DenisChenu


Committer: GitHub Details Diff
Fixd issue 18031: Broken theme broke with 500 error (#2390) Affected Issues
18031
mod - application/models/QuestionTheme.php Diff File
mod - application/models/services/ThemeQuestionAttributeProvider.php Diff File

LimeSurvey: master b174a7d1

2022-05-19 21:16:33

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18031: Question editing broke with PHP warning with deleted questionthemes (#2425) Affected Issues
18031
mod - application/models/QuestionTheme.php Diff File

Issue History

Date Modified Username Field Change
2022-04-12 18:08 DenisChenu New Issue
2022-04-12 18:08 DenisChenu File Added: Capture d’écran du 2022-04-12 18-01-24.png
2022-04-12 18:08 DenisChenu File Added: Error.html
2022-04-13 09:18 galads Assigned To => DenisChenu
2022-04-13 09:18 galads Status new => assigned
2022-04-30 11:18 DenisChenu Note Added: 69319
2022-04-30 11:18 DenisChenu Bug heat 0 => 2
2022-04-30 21:04 ollehar Note Added: 69322
2022-04-30 21:04 ollehar Bug heat 2 => 4
2022-05-03 18:31 DenisChenu Note Added: 69379
2022-05-03 19:11 DenisChenu Changeset attached => LimeSurvey master 8d8420a4
2022-05-03 19:11 DenisChenu Note Added: 69380
2022-05-03 19:11 DenisChenu Resolution open => fixed
2022-05-03 19:11 c_schmitz Status assigned => resolved
2022-05-09 12:37 LimeBot Note Added: 69512
2022-05-09 12:37 LimeBot Status resolved => closed
2022-05-09 12:37 LimeBot Bug heat 4 => 6
2022-05-18 10:59 DenisChenu Status closed => confirmed
2022-05-18 10:59 DenisChenu Note Added: 69767
2022-05-18 11:00 DenisChenu Note Added: 69768
2022-05-18 11:00 DenisChenu File Added: PHP warning.html
2022-05-18 11:02 ollehar Note Added: 69769
2022-05-18 11:03 DenisChenu Note Added: 69770
2022-05-18 11:08 DenisChenu Note Added: 69771
2022-05-18 11:08 DenisChenu File Added: Capture d’écran du 2022-05-18 11-06-27.png
2022-05-18 11:08 DenisChenu Note Added: 69772
2022-05-19 21:16 DenisChenu Changeset attached => LimeSurvey master b174a7d1
2022-05-19 21:16 DenisChenu Note Added: 69886
2022-05-19 21:17 c_schmitz Status confirmed => resolved
2022-05-23 11:30 LimeBot Note Added: 69971
2022-05-23 11:30 LimeBot Status resolved => closed